%global         git_commit 649e5f4
Name:           kde-plasma-nm
Version:        0.9.3.0
Release:        1.20130604git%{git_commit}%{?dist}
Summary:        Plasma applet written in QML for managing network connections
License:        LGPLv2+ and GPLv2+
URL:            https://projects.kde.org/projects/playground/network/plasma-nm
# Package from git snapshots, create example:
# git clone git://anongit.kde.org/plasma-nm-qt.git
# cd plasma-nm
# git archive --prefix=plasma-nm-%{version}/ master | bzip2 > ../%{name}-%{version}-git%{git_commit}.tar.bz2
Source0:        plasma-nm-%{version}-git%{git_commit}.tar.bz2

# Disable KCM
Patch0:  plasma-nm-disable-kcm.patch

BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  kde-workspace-devel
BuildRequires:  libmm-qt-devel >= 0.6.0
BuildRequires:  libnm-qt-devel >= 0.9.8
BuildRequires:  pkgconfig(NetworkManager) >= 0.9.8
BuildRequires:  pkgconfig(libnm-glib) pkgconfig(libnm-util)

Requires:  NetworkManager >= 0.9.8
Requires:  ModemManager >= 0.6.0
Requires:  libmm-qt >= 0.6.0
Requires:  libnm-qt >= 0.9.8
Requires:  mobile-broadband-provider-info

%description
Plasma applet and editor for managing your network connections in KDE 4 using
the default NetworkManager service.

%if 0%{?fedora} || 0%{?epel}
%package openvpn
Summary:        OpenVPN support for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-openvpn
%description openvpn
%{summary}.

%package vpnc
Summary:        Vpnc support for %{name} 
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-vpnc
%description vpnc
%{summary}.
%endif

%prep
%setup -qn plasma-nm-%{version}-git%{git_commit}
%patch0 -p1 -b .disable-kcm

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}

find %{buildroot}%{_kde4_datadir} -name "kcm_network.mo" -exec rm -f {} \;

%find_lang plasma_applet_org.kde.plasma-nm
%find_lang plasmanm-kded
%find_lang kde-nm-connection-editor
%find_lang libplasmanm-editor
%find_lang plasmanm_vpncui
%find_lang plasmanm_openvpnui

# clean unpackaged VPN related files in RHEL
%if 0%{?rhel}
rm -fv %{buildroot}%{_kde4_libdir}/kde4/plasmanm_open*
rm -fv %{buildroot}%{_kde4_libdir}/kde4/nplasmanm_open*
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/plasmanm_open*
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/plasmanm_vpnc*
%endif


%files -f plasma_applet_org.kde.plasma-nm.lang -f plasmanm-kded.lang -f kde-nm-connection-editor.lang -f libplasmanm-editor.lang
%defattr(-,root,root,-)
# kde-nm-connection-editor
%{_kde4_bindir}/kde-nm-connection-editor
%{_kde4_libdir}/libplasmanm-editor.so
%{_kde4_datadir}/kde4/apps/kde-nm-connection-editor/kde-nm-connection-editorui.rc
%{_kde4_datadir}/applications/kde4/kde-nm-connection-editor.desktop
# plasma-nm applet
%{_kde4_libdir}/kde4/imports/org/kde/plasmanm/libplasmanmplugins.so
%{_kde4_libdir}/kde4/imports/org/kde/plasmanm/qmldir
%dir %{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kde.plasma-nm/
%{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kde.plasma-nm/contents
%{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kde.plasma-nm/metadata.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-nm.desktop
%{_kde4_libdir}/kde4/plugins/designer/plasmanmwidgets.so
%{_kde4_appsdir}/desktoptheme/default/icons/plasma-nm.svgz
# plasma-nm notifications
%{_kde4_datadir}/kde4/services/plasma_nm_notifications.desktop
%{_kde4_libdir}/kde4/plasma_nm_notifications.so
%{_kde4_datadir}/kde4/apps/plasma-nm/plasma-nm.notifyrc
# plasma-nm kded
%{_kde4_libdir}/kde4/kded_plasmanm.so
%{_kde4_datadir}/kde4/services/kded/plasmanm.desktop
# plasma-nm other
%{_kde4_libdir}/libplasmanm-internal.so
%{_kde4_datadir}/kde4/servicetypes/plasma-nm-vpnuiplugin.desktop


%if 0%{?fedora} || 0%{?epel}
%files openvpn -f plasmanm_openvpnui.lang
%{_kde4_libdir}/kde4/plasmanm_openvpnui.so
%{_kde4_datadir}/kde4/services/plasmanm_openvpnui.desktop

%files vpnc -f plasmanm_vpncui.lang
%{_kde4_libdir}/kde4/plasmanm_vpncui.so
%{_kde4_datadir}/kde4/services/plasmanm_vpncui.desktop
%endif

%changelog
* Tue Jun 4 2013 Jan Grulich <jgrulich@redhat.com> - 0.9.3.0-1.20130604git649e5f4
- Initial package
- Based on git snapshot 649e5f4b3e5b4f30df19aa0f908234355912eea7
